Can't run intelliJ on my ubuntu box since kernel update.

I recently got some updates on my dapper ubuntu system (kernel 2.6.15-27-386, hal, lvm) and now I can't run intellij. Here is the error I get.
$ /opt/idea-6107/bin/idea.sh
ERROR:
java.io.StreamCorruptedException: invalid stream header
at java.io.ObjectInputStream.readStreamHeader(ObjectInputStream.java:763)
at java.io.ObjectInputStream.]]>(ObjectInputStream.java:278)
at com.intellij.ide.startup.StartupActionScriptManager.b(StartupActionScriptManager.java:22)
at com.intellij.ide.startup.StartupActionScriptManager.executeActionScript(StartupActionScriptManager.java:21)
at com.intellij.ide.plugins.PluginManager.initClassloader(PluginManager.java:228)
at com.intellij.ide.plugins.PluginManager.bootstrap(PluginManager.java:357)
at com.intellij.ide.plugins.PluginManager.main(PluginManager.java:77)
at com.intellij.ide.plugins.PluginManager.main(PluginManager.java:215)
at com.intellij.idea.Main.main(Main.java:2)
Exception in thread "main" java.lang.AssertionError:
at com.intellij.openapi.diagnostic.DefaultLogger.error(DefaultLogger.java:49)
at com.intellij.openapi.diagnostic.Logger.error(Logger.java:60)
at com.intellij.ide.plugins.PluginManager.initClassloader(PluginManager.java:340)
at com.intellij.ide.plugins.PluginManager.bootstrap(PluginManager.java:357)
at com.intellij.ide.plugins.PluginManager.main(PluginManager.java:77)
at com.intellij.ide.plugins.PluginManager.main(PluginManager.java:215)
at com.intellij.idea.Main.main(Main.java:2)


Has anyone seen this? I initially thought it related to the new kernel, but when I rolled back it was still broken. Most other java apps work fine although my build now fails when I try to generate code from xml with the following error.

genAll:
Generating 1 domain objects to /home/pair/trunk/devel/srcGenerated/com/foobaz/ae/insurance
log4j:ERROR Parsing error on line 1 and column 2
log4j:ERROR An invalid XML character (Unicode: 0x0) was found in the prolog of the document.
log4j:ERROR Could not parse input source .

I have posted in the ubuntu forums as well as here. http://www.ubuntuforums.org/showthread.php?t=319305 Hoping for some help soon. Thanks alot!

2 comments
Comment actions Permalink

Hello giosue_c,

g> I recently got some updates on my dapper ubuntu system (kernel
g> 2.6.15-27-386, hal, lvm) and now I can't run intellij. Here is the
g> error I get.
g> $ /opt/idea-6107/bin/idea.sh
g> ERROR:
g> java.io.StreamCorruptedException: invalid stream header

Please delete the file called action.script in the system/plugins subdirectory
of the IntelliJ IDEA settings directory. This is a workaround for this particular
error.

--
Dmitry Jemerov
Software Developer
http://www.jetbrains.com/
"Develop with Pleasure!"


0
Comment actions Permalink

Awesome! Thanks for the prompt help, that worked. Just out of curiousity, what causes that? Is there something I did?

0

Please sign in to leave a comment.